<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo("charset"); ?>">
	<meta name="title" content="<?php echo get_option("diziPremium_metatitle"); ?>" />
	<meta name="author" content="<?php echo get_option("diziPremium_metauthor"); ?>" />
	<meta name="description" content="<?php echo get_option("diziPremium_metadesc"); ?>">
	<meta name="keywords" content="<?php echo get_option("diziPremium_metakeyw"); ?>">
	<meta name="owner" content="<?php echo get_option("diziPremium_metaowner"); ?>" />
	<meta name="copyright" content="<?php echo get_option("diziPremium_metacopyright"); ?>" />
    <title><?php bloginfo('name'); ?></title>
	<link rel="canonical" href="<?php the_permalink(); ?>" /> 
    <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:400,500&amp;Open+Sans:400,600,700&amp;subset=latin,latin-ext">
    <link href="<?php bloginfo("template_directory"); ?>/assets/css/animate.css" rel="stylesheet" type="text/css" />
	<link href="<?php bloginfo("template_directory"); ?>/assets/css/animated-notifications.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="<?php bloginfo("template_directory"); ?>/style.css">
	<style type="text/css">
		<?php echo get_option("diziPremium_hdcss"); ?>
	</style>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php 
		global $current_user;
		get_currentuserinfo();
	?>
	<div id="notifications">
		<div id="notifications-bottom-right">
			<div id="notifications-bottom-right-tab">
				<div id="notifications-bottom-right-tab-close" class="notifClose">
					<i class="fa fa-close"></i>
				</div>
				<div id="notifications-bottom-right-tab-avatar">
					<?php  $avatar = get_user_meta($current_user->ID,"avatar",true); if($avatar){ echo "<img src=".$avatar." alt='' height='70' width='70' />"; }else{ echo '<img src="'.get_bloginfo("template_directory").'/assets/images/no-avatar.jpg" title="no-avatar" alt="no-avatar" height="70" width="70" />'; } ?>
				</div>
				<?php if(is_user_logged_in()){ ?>
				<div id="notifications-bottom-right-tab-right">
					<div id="notifications-bottom-right-tab-right-title">
						<span><?php echo ucwords_tr($current_user->user_firstname)." ".ucwords_tr($current_user->user_lastname); ?></span>
					</div>
					<div id="notifications-bottom-right-tab-right-text"><span></span><br/><span></span></div>
				</div>
				<?php }else{ ?>
				<div id="notifications-bottom-right-tab-right">
					<div id="notifications-bottom-right-tab-right-title">
						<span>Ziyaretçi</span>
					</div>
					<div id="notifications-bottom-right-tab-right-text"><span></span><br/><span></span></div>
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
    <div class="shadow">
        <div class="splashParent">
            <div class="splash">
                <div class="splashLogo"><?php if(get_option("diziPremium_splogo")){ ?> <img src="<?php echo get_option("diziPremium_splogo"); ?>" height="21" width="144" alt="splashLogo"/> <?php }else{ ?><img src="<?php bloginfo("template_directory"); ?>/assets/images/splashLogo.png" height="21" width="144" alt="splashLogo"><?php } ?></div>
                <div class="splashTab">
                    <a href="javascript:void(0);" class="girisyap">Giriş Yap</a>
                    <a href="javascript:void(0);" class="kayitol">Kayıt Ol</a>
                    <div class="clear"></div>
                </div>
                <div class="splashTabContent">
                    <form action="<?php echo get_option('home'); ?>/wp-login.php" method="post" name="girisForm">
                        <input type="text" name="log" id="user_login" placeholder="Kullanıcı Adı"  required>
                        <input type="password" name="pwd" id="user_pass" placeholder="Şifre"  required>
						<input type="hidden" name="redirect_to" value="<?php echo get_option('home'); ?>" /> 
                        <input type="submit" name="wp-submit" value="Giriş Yap" class="splashTabContentSubmitGiris">
                    </form>
                    <div class="sifreUnut">
                        <a href="javascript:void(0);" class="unutSifre">Şifreni mi Unuttun ?</a>
                    </div>
                </div>
                <div class="splashTabContent">
                    <form method="post" class="kayitForm">
                        <input type="text" name="firstname" placeholder="Adınız"  required>
                        <input type="text" name="lastname" placeholder="Soy Adınız"  required>
                        <input type="text" name="signoname" placeholder="Kullanıcı Adı"  required>
                        <input type="password" name="sifre" placeholder="Şifre"  required>
                        <input type="email" name="email" placeholder="E-Posta"  required> 
                        <input type="submit" name="wp-submit" value="Kayıt Ol" class="splashTabContentSubmitKayit">
                    </form>
                </div>
            </div>
            <div class="sifremiUnuttum">
                <div class="splashLogo"><?php if(get_option("diziPremium_splogo")){ ?> <img src="<?php echo get_option("diziPremium_splogo"); ?>" height="21" width="144" alt="splashLogo"/> <?php }else{ ?><img src="<?php bloginfo("template_directory"); ?>/assets/images/splashLogo.png" height="21" width="144" alt="splashLogo"><?php } ?></div>
                <div class="splashTab">
                    <span>Şifremi Unuttum</span>
                </div>
                <div class="unuttumContent">
                    <form name="lostpasswordform" action="<?php echo get_option('home'); ?>/wp-login.php?action=lostpassword" method="post">
                        <input type="text" name="user_login" placeholder="Kayıt Olduğunuz E-Posta Adresini Yazın"  required>
						<input type="hidden" name="redirect_to" value="<?php echo get_option('home'); ?>" /> 
                        <input type="submit" name="wp-submit" value="Şifremi Gönder" class="unuttumSubmit">
                    </form>
                </div>
            </div>
        </div>
    </div>
	<div class="shadowFiltre">
        <div class="filtreParent">
            <div class="filtre">
                <h1>Filtreleme Yapın</h1>
                <form method="post" class="searchFiltreForm">
                    <label>Dizi Türü Seçiniz</label>
                    <select name="kategori">
                       <?php 
						   $catArgs = array(
								'type'                     => 'diziler',
								'child_of'                 => 0,
								'parent'                   => '',
								'orderby'                  => 'name',
								'order'                    => 'ASC',
								'hide_empty'               => 1,
								'hierarchical'             => 1,
								'exclude'                  => '',
								'include'                  => '',
								'number'                   => '',
								'taxonomy'                 => 'category',
								'pad_counts'               => false 
							);
							$categories = get_categories($catArgs);
							foreach($categories as $category){
							?>
							<option value="<?php echo $category->name; ?>"><?php echo $category->name; ?></option>
						<?php } ?>
                    </select>
                    <hr>
                    <label>İmdb Puanı Seçiniz</label>
                    <select name="imdb">
                        <option value="10" selected>10</option>
                        <option value="9">9.0</option>
                        <option value="8">8.0</option>
                        <option value="7">7.0</option>
                        <option value="6">6.0</option>
                        <option value="5">5.0</option>
                        <option value="4">4.0</option>
                        <option value="3">3.0</option>
                        <option value="2">2.0</option>
                        <option value="1">1.0</option>
                    </select>
                    <hr>
                    <label>Yapım Yılı Seçiniz</label>
                    <select name="yapimyili">
					<?php 
						$suanTarih = date("Y");
						$eskiTarih = date("Y", strtotime("-15 years", strtotime($suanTarih))); 
						$tarih 	   = array();
						while($eskiTarih <= $suanTarih){
							$eskiTarih++;
							array_push($tarih,$eskiTarih);
						}
						$tarih = array_reverse($tarih);
						foreach($tarih as $tar){
					?>
						<option value="<?php echo $tar; ?>"><?php echo $tar; ?></option>
					<?php
						}
					?>
                    </select>
                    <hr>
                    <input type="submit" value="Filtreleme Yapın" class="filtreSubmit">
                </form>
            </div>
        </div>
    </div>
    <div class="hesapAyarShadow">
        <div class="hesapAyarShadowChild">
            <div class="hesapAyar">
                <div class="hUst">
                    <div class="hAvatar">
						<?php  $avatar = get_user_meta($current_user->ID,"avatar",true); if($avatar){ echo "<img src=".$avatar." alt='' height='34' width='34' />"; }else{ echo '<img src="'.get_bloginfo("template_directory").'/assets/images/no-avatar.jpg" title="no-avatar" alt="no-avatar" height="34" width="34" />'; } ?>
                        <div class="HShad"></div>
                        <a href="javascript:void(0);" class="avatarYukle">Avatar Yükle</a>
						<form class="avatarForm" id="avatarForm" enctype="multipart/form-data">
							<input type="file" name="file_avatar" id="file_avatar"/>
						</form>
                    </div>
                    <strong><?php echo ucwords_tr($current_user->user_firstname)." ".ucwords_tr($current_user->user_lastname); ?></strong>
                    <span>@<?php echo $current_user->user_login; ?></span>
                    <a href="#" class="HAClose"><i class="fa fa-close"></i></a>
                    <div class="clear"></div>
                </div>
                <div class="hAyarlari">
                    <h2 class="HAyarlari">Hesap Ayarları</h2>
					<div class="HATabTasi">
						<div class="bor" style="height:42px;"></div>
						<div class="HATab">
							<a href="#">Kişisel Bilgiler</a>
							<a href="#">Şifre Değişikliği</a>
						</div>
					</div>
                    <div class="HATabContent">
                        <h3>Kullanıcı Adınız (Değiştirilemez)</h3>
                        <div class="HAKadi">
                            <span><?php echo $current_user->user_login; ?></span>
                        </div>
                        <form method="post" class="HATabForm">
                            <label>Adınız ve Soyadınız</label>
                            <input type="text" name="HAdsoyad" value="<?php echo ucwords_tr($current_user->user_firstname)." ".ucwords_tr($current_user->user_lastname); ?>" required>
                            <label>E-Posta Adresiniz</label>
                            <input type="text" name="HAEposta" value="<?php echo $current_user->user_email; ?>" required>
                            <label>Facebook Adresiniz</label>
                            <input type="text" name="HAFace" value="<?php the_author_meta('facebook', $current_user->ID); ?>">
                            <label>Twitter Adresiniz</label>
                            <input type="text" name="HATwitter" value="<?php the_author_meta('twitter', $current_user->ID); ?>">
                            <input type="submit" value="Hesap Ayarlarımı Güncelle" class="HAGuncelle">
                        </form>
                    </div>
                    <div class="HATabContent">
                        <form method="post" class="HATabFormTwo">
                            <label>Şifreniz</label>
                            <input type="password" name="HASifre" placeholder="Şifrenizi Girin" required>
                            <label>Yeni Şifrenizi Girin</label>
                            <input type="password" name="HAYeniSifre" placeholder="Yeni Şifrenizi Girin" required>
                            <label>Yeni Şifrenizi Tekrar Girin</label>
                            <input type="password" name="HAYeniSifreTekrar" placeholder="Yeni Şifrenizi Tekrar Girin" required>
                            <input type="submit" value="Şifremi Güncelle" class="HAGuncelle">
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="profilShadow">
        <div class="profilShadowChild">
            <div class="profilA">
                <div class="profilUst">
                    <div class="profilAvatar">
					   <?php  $avatar = get_user_meta($current_user->ID,"avatar",true); if($avatar){ echo "<img src=".$avatar." alt='' height='34' width='34' />"; }else{ echo '<img src="'.get_bloginfo("template_directory").'/assets/images/no-avatar.jpg" title="no-avatar" alt="no-avatar" height="34" width="34" />'; } ?>
                    </div>
                    <strong><?php echo ucwords_tr($current_user->user_firstname)." ".ucwords_tr($current_user->user_lastname); ?></strong>
                    <span>@<?php echo $current_user->user_login; ?></span>
                    <a href="#" class="profilClose"><i class="fa fa-close"></i></a>
                    <div class="clear"></div>
                </div>
                <div class="profilAyarlari">
                    <div class="profiloAyarlari">
                        <div class="PAIc">
                            <h4>İzlediklerim</h4>
							<?php 
								$uyeID 			  = get_current_user_id(); 
								$izBolumler       = get_user_meta($uyeID,"izlenenBolumler",true); 
								$arrayBolum       = array_unique(explode(", ",$izBolumler));
								$izlenenCount     = count($arrayBolum);
							?>
                            <span><?php if($izBolumler){ echo $izlenenCount; }else{ echo "0"; } ?> Bölüm İzlendi</span>
                        </div>
                        <div class="PAIc">
                            <h5>Yorumlarım</h5>
							<?php 
								$kullaniciID   = get_current_user_id();
								$comment_count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) AS total FROM $wpdb->comments WHERE comment_approved = 1 AND user_id = %s", $kullaniciID ) );
							?>
                            <span><?php echo $comment_count; ?> Yorum Yapıldı</span>
                        </div>
                    </div>
					<div class="profilTabTasi">
						<div class="bor" style="height:42px;"></div>
						<div class="profilTab">
							<a href="javascript:void(0);" class="profilAktif">Son Aktiviteler</a>
							<a href="javascript:void(0);">Takip Ettiklerim</a>
						</div>
					</div>
                    <div class="profilCont">
                        <ul>
						<?php 
							 $uyeID 			   = get_current_user_id(); 
							 $izlenenBolumler      = get_user_meta($uyeID,"izlenenBolumler",true); 
							 $izlenenBolumlerArray = explode(", ",$izlenenBolumler);
							 $izlenenCount         = count($izlenenBolumlerArray);
							 
							 krsort($izlenenBolumlerArray);
								if($izlenenBolumler){
									foreach(array_unique($izlenenBolumlerArray) as $izlenenBolum){
										$bol 	=  explode(":",$izlenenBolum);
										$bolBol =  explode(" ",$bol[1]);
										$sezon  =  explode(".",$bolBol[1]);
										$bolum  =  explode(".",$bolBol[2]);
										$bolID  =  $bolBol[3];
										$slug   = get_post($bolID)->post_name;
										
										$diziSlug = trim(rtrim(ltrim($bol[0])));
										$diziSlug = str_replace(" ","-",$diziSlug);
										$diziSlug = strtolower($diziSlug);
										
										query_posts(array("post_type" => "diziler","posts_per_page" => -1,"name" => $diziSlug));
										if( have_posts() ) : while ( have_posts() ) :the_post();  $diziId = $post->ID;  endwhile; wp_reset_query(); endif; 
														
										query_posts(array(
											"post_type"      => "post",
											"posts_per_page" => 10,
											"name"           => $slug,
											array(
												"meta_key"   => "meta-box-dropdown",
												"meta_value" => $sezon[0]
											),
											array(
												"meta_key"   => "bolumDiziDropdown",
												"meta_value" => $bol[0]
											)
										));
										if( have_posts() ) : while ( have_posts() ) :the_post(); 
										?>
											<li>
												<a href="<?php the_permalink(); ?>">
												<?php if(get_post_meta($diziId,'basRolCastFile', true)){ ?> <img src="<?php echo get_post_meta($diziId,'basRolCastFile', true); ?>" alt="basRolResim"> <?php }else{ ?> <img src="<?php bloginfo("template_directory"); ?>/assets/images/no-thumbnail.png" height="50" width="50" alt="noThumb" class="diziAfis">  <?php }  ?>
													<?php 
														$izlnTitle  = get_the_title(); 
														$smashTitle = explode(":",$izlnTitle); 
													?>
													<strong><?php echo $smashTitle[0]; ?></strong>
													<span><?php echo $smashTitle[1]." ".$smashTitle[2]; ?> İzlendi</span>
												</a>
											</li>
										<?php
										endwhile; wp_reset_query(); endif; 
									}	
								}else{ ?>
									<span style="display:block;text-align:center;">İzlediğiniz bölüm bulunmuyor...</span>
						<?php   } ?>
                        </ul>
                    </div>
                    <div class="profilCont">
                        <ul>
						<?php 
							 $kid 			     = get_current_user_id(); 
							 $favoriDiziler      = get_user_meta($kid,"favoriDizilerim",true); 
							 $favoriDizilerArray = explode(", ",$favoriDiziler);
								$arrayLikeQuery  = "";
								$arraySeparator  = "OR";
								foreach($favoriDizilerArray as $favoriDizi){
									$arrayLikeQuery .= "post_title LIKE '".$favoriDizi."' ".$arraySeparator." ";
								}
								$removeSeperator = $arraySeparator." ";
								$arrayLike 		 =  trim($arrayLikeQuery,$removeSeperator);
								
								$favDizilerQuery = $wpdb->get_col("select ID from $wpdb->posts where ".$arrayLike);
								$favArgs = array(
								  'post__in'     => $favDizilerQuery,
								  'post_type'    => 'diziler',
								  'orderby'      => 'title',
								  'order'        => 'ASC'
								);
								$favSorgu     = new WP_Query($favArgs);
								if($favSorgu->have_posts()){ while( $favSorgu->have_posts() ) : $favSorgu->the_post();
						?>
								<li>
									<a href="<?php the_permalink(); ?>">
										<?php if(get_post_meta($post-> ID,'basRolCastFile', true)){ ?> <img src="<?php echo get_post_meta($post-> ID,'basRolCastFile', true); ?>" alt="basRolResim"> <?php }else{ ?> <img src="<?php bloginfo("template_directory"); ?>/assets/images/no-thumbnail.png" height="50" width="50" alt="noThumb" class="diziAfis">  <?php }  ?>
										<strong><?php the_title(); ?></strong>
										<span>
											<?php 
												$diziCategories = get_the_category();
												$catSeparator   = ', ';
												$catOutput		= '';
													if (!empty($diziCategories)){
														for($i = 0; $i <= 1; $i++){
															$catOutput .= esc_html($diziCategories[$i]->name).$catSeparator;
														}
														echo trim($catOutput,$catSeparator);
													}
											?>
										</span>
									</a>
								</li>
						<?php
								endwhile;
								wp_reset_postdata(); }else{
								?>
								<span style="display:block;text-align:center;">Takip ettiğiniz dizi bulunmuyor...</span>
								<?php								
								}
						?>
                            
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
	<div class="container">
        <?php if(get_option("diziPremium_replikler") && get_option("diziPremium_replikgor") == true){ ?>
        <div class="replik">
           <?php
				$replikler = get_option("diziPremium_replikler"); 
				$satir 	   = explode(PHP_EOL,$replikler);
				$anahtar   = array_rand($satir);
			?>   
			<span><?php echo $satir[$anahtar]; ?></span>
        </div>
		<?php }else{ ?>
		<div style="margin-top:30px"></div>
		<?php } ?>
        <div id="header">
            <div class="logo"><a href="<?php bloginfo("home"); ?>"><?php if(get_option("diziPremium_logo")){ ?> <img src="<?php echo get_option("diziPremium_logo"); ?>" height="35" width="129" alt="headLogo"/> <?php }else{ ?><img src="<?php bloginfo("template_directory"); ?>/assets/images/headLogo.png" height="35" width="129" alt="logo"><?php } ?></a></div>
            <div class="searchForm">
                <form action="<?php bloginfo('url'); ?>" method="post">
                    <input class="search" name="s" type="text" placeholder="Arama Yap...">
                    <input type="submit" class="submit" value="">
                </form>
            </div>
            <nav class="menu">
                <?php wp_nav_menu(array('theme_location' => 'header-nav','container'=>'')); ?>
            </nav>
			<?php if(is_user_logged_in()){ ?>
			<div class="uyeProfil">
				<div class="uyeProfilDetails">
					<div class="avatar" id="<?php echo $current_user->ID ?>"><?php  $avatar = get_user_meta($current_user->ID,"avatar",true); if($avatar){ echo "<img src=".$avatar." alt='' height='34' width='34' />"; }else{ echo '<img src="'.get_bloginfo("template_directory").'/assets/images/no-avatar.jpg" title="no-avatar" alt="no-avatar" height="34" width="34" />'; } ?></div>
					<a href="javascript:void(0);" class="updOpen"><i class="fa fa-caret-down"></i></a>
				</div>
			</div>
			<div class="uyeProfilDrop">
				<div class="updChild">
					<ul>
						<li><a href="javascript:void(0);" class="profilToggle">Profilim</a></li>
						<li><a href="javascript:void(0);" class="HAToggle">Hesap Ayarları</a></li>
						<li><a href="<?php echo wp_logout_url(home_url()); ?>">Çıkış Yap</a></li>
					</ul>
				</div>
			</div>
			<div class="clear"></div>
			<?php }else{ ?>
			<div class="kayitGiris">
				<div class="kgButon">
					<a href="javascript:void(0);" class="girisOpen">
						<div class="kgButonIcon">
							<i class="fa fa-user"></i>
						</div>
						<div class="kbButonYazi"><span>Giriş Yap</span></div>
						<div class="clear"></div>
					</a>
				</div>
				<div class="kgButon">
					<a href="javascript:void(0);" class="kayitOpen">
						<div class="kgButonIcon">
							<i class="fa fa-plus"></i>
						</div>
						<div class="kbButonYazi"><span>Kayıt Ol</span></div>
						<div class="clear"></div>
					</a>
				</div>
			</div>
			<div class="clear"></div>
			<?php } ?>
        </div>
        <div class="alfabe">
            <ul>
                <li><a href="javascript:void(0);">A</a></li>
                <li><a href="javascript:void(0);">B</a></li>
                <li><a href="javascript:void(0);">C</a></li>
                <li><a href="javascript:void(0);">D</a></li>
                <li><a href="javascript:void(0);">E</a></li>
                <li><a href="javascript:void(0);">F</a></li>
                <li><a href="javascript:void(0);">G</a></li>
                <li><a href="javascript:void(0);">H</a></li>
                <li><a href="javascript:void(0);">I</a></li>
                <li><a href="javascript:void(0);">J</a></li>
                <li><a href="javascript:void(0);">K</a></li>
                <li><a href="javascript:void(0);">L</a></li>
                <li><a href="javascript:void(0);">M</a></li>
                <li><a href="javascript:void(0);">N</a></li>
                <li><a href="javascript:void(0);">O</a></li>
                <li><a href="javascript:void(0);">P</a></li>
                <li><a href="javascript:void(0);">Q</a></li>
                <li><a href="javascript:void(0);">R</a></li>
                <li><a href="javascript:void(0);">S</a></li>
                <li><a href="javascript:void(0);">T</a></li>
                <li><a href="javascript:void(0);">U</a></li>
                <li><a href="javascript:void(0);">V</a></li>
                <li><a href="javascript:void(0);">W</a></li>
                <li><a href="javascript:void(0);">X</a></li>
                <li><a href="javascript:void(0);">Y</a></li>
                <li><a href="javascript:void(0);">Z</a></li>
            </ul>
        </div>
		<?php $alfabeSay = -1; $alfabe = array("a","b","c","d","e","f","g","h","ı","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z"); $alfabeCount = count($alfabe);
		for($arttir = 0; $arttir <= $alfabeCount; $arttir++){ ?>
		<div class="alfabeOpen">
			<ul>
		<?php
		$alfabeSay++;
		
				$deger = $alfabe[$alfabeSay];
				global $wpdb;
					$mypostids = $wpdb->get_col("select ID from $wpdb->posts where post_title LIKE '".$deger."%' ");
				$args = array(
					'post__in'  => $mypostids,
					'post_type' => 'diziler',
					'orderby'   => 'title',
					'order'     => 'ASC'
				);
				$res = new WP_Query($args);
				while( $res->have_posts() ) : $res->the_post();
				?>
				<li><a href="<?php the_permalink(); ?>"><i class="fa fa-angle-right"></i><?php the_title(); ?></a></li>
			<?php endwhile; wp_reset_postdata(); ?>
			</ul>
		</div>
		<?php } ?>
