<?php
	/* Helper Functions */
	function _import_photo( $postid, $photolink ) {
		$image_url  = $photolink;
		$upload_dir = wp_upload_dir();
		$image_data = file_get_contents($image_url); 
		$filename   = basename($image_url);
		if( wp_mkdir_p( $upload_dir['path'] ) ) {$file = $upload_dir['path'] . '/' . $filename;} else {$file = $upload_dir['basedir'] . '/' . $filename;}
		file_put_contents( $file, $image_data );
		$wp_filetype = wp_check_filetype( $filename, null );
		$attachment = array(
			'post_mime_type' => $wp_filetype['type'],
			'post_title'     => sanitize_file_name( $filename ),
			'post_content'   => '',
			'post_status'    => 'inherit'
		);
		$attach_id = wp_insert_attachment( $attachment, $file, $postid );
		require_once(ABSPATH . 'wp-admin/includes/image.php');
		$attach_data = wp_generate_attachment_metadata( $attach_id, $file );
		wp_update_attachment_metadata( $attach_id, $attach_data );
		set_post_thumbnail( $postid, $attach_id );
	}
	function issetBuild($name){
		if(isset($_GET[$name])){
			echo "&".$name."=".$_GET[$name];
		}else{
			echo "";
		}
	}
	function shorter($text, $chars_limit)
	{
		if (strlen($text) > $chars_limit)
		{
			$new_text = substr($text, 0, $chars_limit);
			$new_text = trim($new_text);
			return $new_text . "...";
		}
		else
		{return $text;}
	}
	function isAdded($type,$title){
		$args=array(
		  'title' => $title,
		  'post_type' => $type,
		  'post_status' => 'publish'
		  );
		$my_posts = get_posts($args);
		if( $my_posts ) {
		return true;
		}else{
		return false;
		}
	}
	function Protect(){
		if(isset($_GET['category'])){
		  $episodes=diziBoxListSequence($_GET['p'],$_GET['category']);
		}else if(isset($_GET['p'])){		
		  $episodes=diziBoxListSequence($_GET['p']);
		}else{
		  $episodes=diziBoxListSequence();	
		}
		return $episodes;
	}
	function ProtectPagination(){
		if(isset($_GET['category'])){
		  $pagination=diziBoxSequencePagination(0,$_GET['category']);
		}else if(isset($_GET['p'])){		
		  $paginations=diziBoxSequencePagination($_GET['p'],'');
		}else if(isset($_GET['p']) and isset($_GET['category'])){
		  $pagination=diziBoxSequencePagination($_GET['p'],$_GET['category']);	
		}else{
		  $pagination=diziBoxSequencePagination();
		}
		return $pagination;
		
	}
	/* Remote Server Functions */
	function diziBoxCategorys(){
		$content=file_get_contents("http://www.dizibox.com/arsiv/");
		$pattern='@<li class="btn-checkbox"><input type="checkbox" id="dizi-turu-.*?" name="dizi-turu\[\]" value="(.*?)"/><label for="dizi-turu-.*?">(.*?)<i class="fa fa-angle-right"></i></label></li>@si';
		preg_match_all($pattern,$content,$out);
		return array('get'=>$out[1],'titles'=>$out[2]);
	}
	function diziBoxGetContent($page=0,$filter=""){
		if($page==1 or $page==0){
			if(strlen($filter)>0){
			$content=file_get_contents("http://www.dizibox.com/arsiv/?dizi-turu[]=".$filter);
			}else{
			$content=file_get_contents("http://www.dizibox.com/arsiv/");	
			}
		}else{
			if(strlen($filter)>0){
			$content=file_get_contents("http://www.dizibox.com/arsiv/page/".$page.'/?dizi-turu='.$filter);
			}else{
			$content=file_get_contents("http://www.dizibox.com/arsiv/page/".$page);	
			}
		}
		return $content;
	}
	function diziBoxListSequence($page=0,$filter=""){
		$content=diziBoxGetContent($page,$filter);
		preg_match_all('@<h3 class="title"><a href="(.*?)">(.*?)</a></h3>@si',$content,$out);
		$return['links']=$out[1];
		$return['titles']=$out[2];
		preg_match_all('@<span class="custom-field"><i class="fa fa-slack"></i>(.*?)</span>@si',$content,$out);
		for($i=0;$i<count($out[1]);$i++) $out[1][$i]=trim(str_replace(array('&nbsp;','|'),'',$out[1][$i]));
		$return['type']=$out[1];
		preg_match_all('@<span class="custom-field imdb">.*?<b>(.*?)</b>.*?</span>@si',$content,$out);
		$return['imdb']=$out[1];	
		preg_match_all('@<img.*?src="(.*?)" class="main-cover wp-post-image".*?/>@si',$content,$out);
		$return['images']=$out[1];
		preg_match_all('@<div class="post-summary">(.*?)</div>@si',$content,$out);
		$return['summary']=$out[1];
		return $return;
	}
	function diziBoxSequencePagination($page=0,$filter=""){
		$content=diziBoxGetContent($page,$filter);
		preg_match_all("@<a class='page-numbers' href='.*?'>(.*?)</a>@si",$content,$out);
		return $out[1];
	}

	function diziBoxEpisodeSeasonList($episodelink){
		$content=file_get_contents($episodelink);
		preg_match_all('@<div id="seasons-list">(.*?)</div>@si',$content,$out);
		preg_match_all("@<a href='(.*?)' class='season-button.*?'>(.*?)</a>@si",$out[1][0],$out);
		return array('links'=>$out[1],'titles'=>$out[2],'seasoncount'=>count($out[2]));
	}
	function diziBoxEpisodeList($episodelink){
		$content=file_get_contents($episodelink);    
		preg_match_all('@<div class="post-title">.*?<a href="(.*?)" class="season-episode">(.*?)</a>.*?</div>@si',$content,$out);
		return array('links'=>$out[1],'titles'=>$out[2]);
	}
	
	function diziBoxListEpisodeAlternate($episodelink){
		$content=file_get_contents($episodelink);   
		preg_match_all('@<select class="woca-linkpages-dd selectBox" onchange=".*?">(.*?)</select>@si',$content,$out);
		$content=$out[1][0];
		preg_match_all("@<option value='(.*?)'>(.*?)</option>@si",$content,$out);
		return array('links'=>$out[1],'titles'=>$out[2]);
	}
	function diziBoxGetIframeSingle($episodelink){
	$content=file_get_contents($episodelink);   
	preg_match_all('@<span class="object-wrapper">(.*?)</span>@si',$content,$out);
	$htmlcodes=$out[1][0];
	preg_match_all('@<iframe.*?src="(.*?)".*?></iframe>@si',$htmlcodes,$out);
	if(empty($out[1][0])){
	 preg_match_all("@<iframe.*?src='(.*?)'.*?></iframe>@si",$htmlcodes,$out);
	}
	if(empty($out[1][0])){
	 return $htmlcodes;
	}
	return "<iframe src='".get_template_directory_uri ()."/safe.php?link=".$out[1][0]."' width='626' height='367' frameborder='0' webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>";
	}
	
?>